Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225093 - exaile: useless debuginfo, optflags not honored
Summary: exaile: useless debuginfo, optflags not honored
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:21 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-02 22:02:52 UTC


Attachments (Terms of Use)
Fix debuginfo, honor optflags (deleted)
2007-01-28 22:21 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 22:21:47 UTC
exaile produces a useless (empty) debuginfo package due to 1) $RPM_OPT_FLAGS not
being honored, 2) explicit strip done in Makefile, and 3) wrong *.so file
permissions.  Fix attached.

http://fedoraproject.org/wiki/Packaging/Debuginfo

Comment 1 Ville Skyttä 2007-01-28 22:21:47 UTC
Created attachment 146786 [details]
Fix debuginfo, honor optflags

Comment 2 Deji Akingunola 2007-01-28 22:53:01 UTC
Thanks, fixes applied in cvs

Comment 3 Ville Skyttä 2007-01-31 20:57:37 UTC
Reopening, looks like the release tag was not bumped and no builds were requested.

Comment 4 Deji Akingunola 2007-02-02 22:02:52 UTC
Package now rebuilt with the changes


Note You need to log in before you can comment on or make changes to this bug.